Summary:   Writes audio CD-Rs in disk-at-once (DAO) mode
Name:      cdrdao
Version:   1.2.3
Release:   4%{?dist}
License:   GPLv2+
Group:     Applications/Multimedia
URL:       http://cdrdao.sourceforge.net/
Source0:   http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel
BuildRequires:  libgnomeuimm26-devel
BuildRequires:  libsigc++20-devel
BuildRequires:  libvorbis-devel >= 1.0
BuildRequires:  desktop-file-utils
BuildRequires:  libao-devel

# Only exclude s390
ExcludeArch: s390 s390x

# Some missing includes cause failure build
Patch1: cdrdao-1.2.3-stat.patch

%description
Cdrdao records audio CD-Rs in disk-at-once (DAO) mode, based on a
textual description of the CD contents. Recording in DAO mode writes
the complete disc (lead-in, one or more tracks, and lead-out) in a
single step. DAO allows full control over the length and the contents
of pre-gaps, the pause areas between tracks.


%package -n gcdmaster
Summary:      A Gnome2 Disk-At-Once (DAO) Audio CD writer
Group:        Applications/Multimedia
Requires:     cdrdao = %{version}-%{release}

Requires(post):   shared-mime-info desktop-file-utils
Requires(postun): shared-mime-info desktop-file-utils
Requires(pre):    GConf2
Requires(post):   GConf2
Requires(preun):  GConf2


%description -n gcdmaster
Gcdmaster is a GNOME2 GUI front-end to cdrdao that makes it easy to
visualize and manipulate audio information before burning it onto
CD. Its features include: cut/copy/paste of sound samples, track marks
edition and silence insertion.


%prep
%setup -q
%patch1 -p1 -b .stat


%build
%configure \
        --with-xdao \
        --without-scglib \
        --without-lame

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install \
  --vendor "" \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/gcdmaster.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post -n gcdmaster
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gcdmaster.schemas > /dev/null  || :
killall -HUP gconfd-2 &>/dev/null || :


%postun -n gcdmaster
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcdmaster.schemas >/dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcdmaster.schemas > /dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README CREDITS ChangeLog
%{_bindir}/cdrdao
%{_bindir}/*toc*
%{_datadir}/cdrdao
%{_mandir}/*/cdrdao*
%{_mandir}/*/cue2toc*
%{_mandir}/*/toc2cue*
%{_mandir}/*/toc2cddb*

%files -n gcdmaster
%defattr(-, root, root, -)
%{_bindir}/gcdmaster
%{_datadir}/gcdmaster
%{_datadir}/applications/*.desktop
%{_datadir}/mime-info/gcdmaster*
%{_datadir}/mime/packages/gcdmaster.xml
%{_datadir}/application-registry/gcdmaster.applications
%{_datadir}/pixmaps/*
%{_sysconfdir}/gconf/schemas/gcdmaster.schemas
%{_mandir}/man1/gcdmaster*



%changelog

